Package net.sf.saxon.value

## Class Whitespace.Tokenizer

- java.lang.Object
- - net.sf.saxon.value.Whitespace.Tokenizer

- All Implemented Interfaces:
    `java.io.Closeable`, `java.lang.AutoCloseable`, `SequenceIterator`, `AtomicIterator<StringValue>`, `UnfailingIterator`
  Enclosing class:
    Whitespace

      public static class Whitespace.Tokenizer
      extends java.lang.Object
      implements AtomicIterator<StringValue>

  An iterator that splits a string on whitespace boundaries, corresponding to the XPath 3.1 function tokenize#1

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface net.sf.saxon.om.SequenceIterator

      `SequenceIterator.Property`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Tokenizer​(char[] input)` |
    `Tokenizer​(java.lang.CharSequence input)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` | Close the iterator.
    `StringValue` | `next()` | Get the next atomic value in the sequence.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.saxon.om.SequenceIterator

      `forEachOrFail, getProperties, materialize`

    - ### Methods inherited from interface net.sf.saxon.tree.iter.UnfailingIterator

      `forEach, toList`

- - ### Constructor Detail

    - #### Tokenizer

          public Tokenizer​(char[] input)

    - #### Tokenizer

          public Tokenizer​(java.lang.CharSequence input)

  - ### Method Detail

    - #### next

          public StringValue next()

      Description copied from interface: `AtomicIterator`
      Get the next atomic value in the sequence.
      Specified by:
        `next` in interface `AtomicIterator<StringValue>`
      Specified by:
        `next` in interface `SequenceIterator`
      Specified by:
        `next` in interface `UnfailingIterator`
      Returns:
        the next Item. If there are no more items, return null.

    - #### close

          public void close()

      Description copied from interface: `SequenceIterator`
      Close the iterator. This indicates to the supplier of the data that the client does not require any more items to be delivered by the iterator. This may enable the supplier to release resources. After calling close(), no further calls on the iterator should be made; if further calls are made, the effect of such calls is undefined.

      For example, the iterator returned by the unparsed-text-lines() function has a close() method that causes the underlying input stream to be closed, whether or not the file has been read to completion.

      Closing an iterator is important when the data is being "pushed" in another thread. Closing the iterator terminates that thread and means that it needs to do no additional work. Indeed, failing to close the iterator may cause the push thread to hang waiting for the buffer to be emptied.

      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Specified by:
        `close` in interface `java.io.Closeable`
      Specified by:
        `close` in interface `SequenceIterator`